await seam.connectedAccounts.update({
connected_account_id: "a289aa54-5488-4707-9a4b-eeea4edf311d",
automatically_manage_new_devices: true,
custom_metadata: { id: "internalId1" },
});
/*
// void
*/Update a Connected Account
Updates a connected account. Reference for PATCH /connected_accounts/update in the Seam API, with request and response details.
await seam.connectedAccounts.update({
connected_account_id: "a289aa54-5488-4707-9a4b-eeea4edf311d",
automatically_manage_new_devices: true,
custom_metadata: { id: "internalId1" },
});
/*
// void
*/Authorizations
Body
List of accepted device capabilities that restrict the types of devices that can be connected through this connected account. Valid values are lock, thermostat, noise_sensor, and access_control.
lock, thermostat, noise_sensor, access_control, camera, speaker, pool Indicates whether newly-added devices should appear as managed devices.
Custom metadata that you want to associate with the connected account. Entirely replaces the existing custom metadata object. If a new Connect Webview contains custom metadata and is used to reconnect a connected account, the custom metadata from the Connect Webview will entirely replace the entire custom metadata object on the connected account. Supports up to 50 JSON key:value pairs, with key names up to 40 characters long that cannot contain a period (.). Adding custom metadata to a connected account enables you to store custom information, like customer details or internal IDs from your application. Then, you can filter connected accounts by the desired metadata. Set a key to null or to an empty string to remove that key from the custom metadata.
Response
OK
Was this page helpful?